Package org.codehaus.groovy.runtime.callsite

# Class PojoMetaClassGetPropertySite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.PojoMetaClassGetPropertySite

All Implemented Interfaces:
  `CallSite`

    public class PojoMetaClassGetPropertySite
    extends AbstractCallSite

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PojoMetaClassGetPropertySite​(CallSite parent)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CallSite` | `acceptGetProperty​(Object receiver)` |
  `Object` | `callGetProperty​(Object receiver)` |
  `Object` | `getProperty​(Object receiver)` |

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PojoMetaClassGetPropertySite

    public PojoMetaClassGetPropertySite​(CallSite parent)

- ## Method Details

  - ### acceptGetProperty

    public final CallSite acceptGetProperty​(Object receiver)
    Overrides:
      `acceptGetProperty` in class `AbstractCallSite`

  - ### getProperty

    public final Object getProperty​(Object receiver) throws Throwable
    Specified by:
      `getProperty` in interface `CallSite`
    Overrides:
      `getProperty` in class `AbstractCallSite`
    Throws:
      `Throwable`

  - ### callGetProperty

    public Object callGetProperty​(Object receiver) throws Throwable
    Specified by:
      `callGetProperty` in interface `CallSite`
    Overrides:
      `callGetProperty` in class `AbstractCallSite`
    Throws:
      `Throwable`